grk::grk_buf2d_simple< T > Struct Template Reference

`#include <buffer.h>`

## Public Member Functions

| grk_buf2d_simple ()
| grk_buf2d_simple (T *buf, uint32_t stride, uint32_t height)
grk_buf2d_simple & | incX_IN_PLACE (size_t deltaX)
grk_buf2d_simple & | incY_IN_PLACE (size_t deltaY)

## Public Attributes

T * | buf_
uint32_t | stride_
uint32_t | height_

## Constructor & Destructor Documentation

## grk_buf2d_simple() [1/2]

template<typename T >

grk::grk_buf2d_simple< T >::grk_buf2d_simple | ( |  | ) |

inline

## grk_buf2d_simple() [2/2]

template<typename T >

grk::grk_buf2d_simple< T >::grk_buf2d_simple | ( | T * | buf,
|  | uint32_t | stride,
|  | uint32_t | height
| ) |  |

inline

## Member Function Documentation

## incX_IN_PLACE()

template<typename T >

grk_buf2d_simple & grk::grk_buf2d_simple< T >::incX_IN_PLACE | ( | size_t | deltaX | ) |

inline

References grk::grk_buf2d_simple< T >::buf_, and grk::grk_read().

## incY_IN_PLACE()

template<typename T >

grk_buf2d_simple & grk::grk_buf2d_simple< T >::incY_IN_PLACE | ( | size_t | deltaY | ) |

inline

References grk::grk_buf2d_simple< T >::buf_, grk::grk_read(), and grk::grk_buf2d_simple< T >::stride_.

## Member Data Documentation

## buf_

template<typename T >

T* grk::grk_buf2d_simple< T >::buf_

Referenced by grk::grk_buf2d_simple< T >::incX_IN_PLACE(), and grk::grk_buf2d_simple< T >::incY_IN_PLACE().

## height_

template<typename T >

uint32_t grk::grk_buf2d_simple< T >::height_

## stride_

template<typename T >

uint32_t grk::grk_buf2d_simple< T >::stride_

Referenced by grk::grk_buf2d_simple< T >::incY_IN_PLACE().

The documentation for this struct was generated from the following file:

- buffer.h